<div fxFlex fxLayout="column" fxLayoutGap="10px" style="height: 100vh">
  <div fxLayout="row wrap" fxLayoutAlign="center center">
    <div
      fxFlex="50"
      fxFlex.md="33"
      fxFlex.sm="100"
      fxFlex.xs="100"
      fxLayout="column"
      style="padding: 5px;">

      <mat-card>
        <mat-card-title>Login</mat-card-title>
        <mat-card-content>
          <div class="container-fluid">
            <form (ngSubmit)="loginForm.form.valid && onSubmit()" #loginForm="ngForm">
              <div class="form-row">
                <div class="form-group col-md-12">
                  <mat-form-field>
                    <input matInput placeholder="Usuário" id="usuario" type="email"
                        [(ngModel)]="credenciais.email" name="usuario" #usuario="ngModel">
                      <mat-error *ngIf="usuario.invalid || usuario.pristine">O Usuário é obrigatório!</mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group col-md-12">
                  <mat-form-field>
                    <input matInput placeholder="Senha" id="senha" type="password"
                        [(ngModel)]="credenciais.senha" name="senha" #senha="ngModel">
                      <mat-error *ngIf="senha.invalid || senha.pristine">A Senha é obrigatória!</mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group">
                  <mat-card-actions>
                    <button type="submit" class="btn btn-primary" >Logar</button>
                  </mat-card-actions>
                </div>
              </div>
            </form>
          </div>
        </mat-card-content>
      </mat-card>
    </div>
  </div>
</div>